<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Robot Motion Settings</title>
<link href="../std.css" rel="stylesheet" type="text/css">
<style type="text/css">
<!--
.style1 {color: #FFFFFF}
-->
</style>
</head>
<script type="text/javascript" src="/flash/appweb/shared/dlgscripts.asp"></script>
<script type="text/javascript" src="/flash/appweb/shared/dlgauto.js"></script>
<iframe src="/flash/appweb/shared/dlgbutton.asp" name="dlgButton" id="dlgButton" style="position:absolute; width:304px; height:5px; z-index:101; left: 15px; top: 586px; visibility: hidden;" frameborder="2" vspace="0" hspace="0" scrolling="no" marginwidth="0" marginheight="0"></iframe>

<script language="JavaScript" src="../shared/common.js"></script>
<script language="JavaScript" src="../shared/cmdsnd.js"></script>
<script type="text/javascript" src="../shared/stopenter.js"></script>
<script>
	
	var blinkState;
	var timerID;
	var pChanged=false;
	// This method is automatically called at the completion of a sent command.
	// Based on the function the user can determine what to do for the page (update, refresh etc).
	function cmdReply(LastCmd,Stt,SttStr){
			if(LastCmd=="motioninfo"){
				updateInfo(Stt,SttStr)
			}
			setPageBusy(false);
	}

	function cmdTeach(){
		var cmd = "recordsafe"
		var arg1 = ""
		var arg2 = ""
		var arg3 = ""
		var arg4 = ""
		setPageBusy(true);
		sndCmd(cmd, arg1, arg2, arg3, arg4)
	}

	function cmdMove(index){
		var cmd = "movesafe"
		var arg1 = index
		setPageBusy(true);
		sndCmd(cmd,"","","","")
	}	
	
	function updateInfo(status,data){
	var Pdata = new Array();
	//alert(data);
	if(status==0){
		Pdata = data.split("|")
		document.getElementById("txtSpeed").value=formatNumber(Pdata[0], 4, true, false);
		document.getElementById("txtAccel").value=formatNumber(Pdata[1], 4, true, false);
		document.getElementById("txtRamp").value=formatNumber(Pdata[2], 4, true, false);
		document.getElementById("txtSpeedEdit").value=formatNumber(Pdata[3], 4, true, false);
		document.getElementById("txtThresh").value=formatNumber(Pdata[4], 4, true, false);
	}
	else{

	}
			
}

	function updateForm(){
		lastIdx = 1;
		var cmd = "motioninfo"
		var arg1 = 0
		var arg2 = ""
		var arg3 = ""
		var arg4 = ""
		sndCmd(cmd, arg1, arg2, arg3, arg4)
	}
	function cmdSave(){
		var cmd = "motionsave"
		var arg1 = ""
		var arg2 = ""
		var arg3 = ""
		var arg4 = ""
		setPageBusy(true);
		sndCmd(cmd, arg1, arg2, arg3, arg4)
	}
	
	function setChanged(){
		pChanged = true;
	}
	function txtChanged(idx,mode){
		if(pChanged==false) return;
		pChanged=false;
		setInfo(idx);
	}
	
	function setInfo(tool){
		var cmd = "motionset"
		var arg1 = getInfo(0,0);
		//alert(arg2);
		sndCmd(cmd, arg1, "", "", "")
	}
	
	function getInfo(idx,mode){

		var strOut = ""
		strOut+= document.getElementById("txtSpeed").value+ "|";
		strOut+=document.getElementById("txtAccel").value+ "|";
		strOut+=document.getElementById("txtRamp").value+"|";
		strOut+=document.getElementById("txtSpeedEdit").value+"|";
		strOut+=document.getElementById("txtThresh").value;
		
		return strOut;

	}
	
	function setPageBusy(stt){
		var SttTab = document.getElementById("tblStt");

		if(stt==true){
			SttTab.rows[0].cells[0].style.textAlign="center";
			SttTab.rows[0].cells[0].style.fontWeight="Bold";		
			SttTab.rows[0].cells[0].style.backgroundColor="Yellow";
			SttTab.rows[0].cells[0].innerHTML = "Busy ..."
			timerID=setInterval("blinkBusy()",500);
		}
		else{
			SttTab.rows[0].cells[0].style.textAlign="center";
			SttTab.rows[0].cells[0].style.fontWeight="Bold";		
			SttTab.rows[0].cells[0].style.backgroundColor="";
			SttTab.rows[0].cells[0].innerHTML = ""
			clearInterval(timerID);
		}
	}

function blinkBusy(){
	//alert("here");
	var w = document.getElementById("tblStt")
	if(blinkState==0){
		blinkState=1;
		w.rows[0].cells[0].style.backgroundColor="Yellow";
	}
	else{
		blinkState=0;
		w.rows[0].cells[0].style.backgroundColor="";
	}
}
</script>
<body onLoad="updateForm()">
<table border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="31" height="31" background="../Images/ul.jpg">&nbsp;</td>
    <td width="300" background="../Images/uu.jpg" class="leftBottom style1">Robot Motion </td>
    <td width="31" height="31" background="../Images/ur.jpg"><a href="#"><img src="../help/Images/help.gif" width="24" height="24" border="0" onClick="hLaunch('gdsi_cfg_motion_safe.htm')"></a></td>
  </tr>
  <tr>
    <td background="../Images/lm.jpg">&nbsp;</td>
    <td width="300"><table width="300" border="0" cellspacing="3" cellpadding="0">
      <tr>
        <td><table width="100%"  border="0" cellspacing="1" cellpadding="0">
          <tr>
            <td colspan="2"><div align="center" class="sDefault"><strong>Safe Location </strong></div>              </td>
            </tr>
          <tr>
            <td colspan="2">The safe point is where the robot will move to before and after performaing a dispense process.</td>
            </tr>
          <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td><div align="center">
              <input name="btnTeach" type="submit" id="btnTeach" onClick="cmdTeach();" value="Teach Safe Point" style="width:120px ">
            </div></td>
            <td><div align="center">
              <input name="btnMove" type="submit" id="btnMove" onClick="cmdMove(0);" value="Move Safe Point" style="width:120px ">
            </div></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td colspan="2" class="sDefault"><div align="center"><strong>General Motion Settings </strong></div></td>
            </tr>
          <tr>
            <td colspan="2">Settings that are used during moving between paths and back to the safe location. </td>
            </tr>
          <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td>Run Speed (% max) </td>
            <td><input name="txtSpeed" type="text" class="smallCenter" id="txtSpeed" size="11" onBlur="txtChanged(0,0)" onChange="setChanged()"></td>
          </tr>
          <tr>
            <td>Edit Speed (% max) </td>
            <td><input name="txtSpeedEdit" type="text" class="smallCenter" id="txtSpeedEdit" size="11" onBlur="txtChanged(0,0)" onChange="setChanged()"></td>
          </tr>
          <tr>
            <td>Accel/Decel (% max) </td>
            <td><input name="txtAccel" type="text" class="smallCenter" id="txtAccel" size="11" onBlur="txtChanged(0,0)" onChange="setChanged()"></td>
          </tr>
          <tr>
            <td>Accel Ramp  (seconds) </td>
            <td><input name="txtRamp" type="text" class="smallCenter" id="txtRamp" size="11" onBlur="txtChanged(0,0)" onChange="setChanged()"></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td colspan="2" class="sDefault"><div align="center"><strong>Path Verify Test </strong></div></td>
            </tr>
          <tr>
            <td colspan="2">Each path point should be taught above the global frame of reference (including any offset). This value is the value used to check against. Set to large negative to disable. </td>
            </tr>
          <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td>Z path node test </td>
            <td><input name="txtThresh" type="text" class="smallCenter" id="txtThresh" size="11" onBlur="txtChanged(0,0)" onChange="setChanged()"> 
              mm</td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><div align="right">
          <input name="btnSave" type="submit" id="btnSave" onClick="cmdSave();" value="Save" style="width:80px ">
        </div></td>
      </tr>
    </table></td>
    <td background="../Images/rr.jpg">&nbsp;</td>
  </tr>
  <tr>
    <td width="31" height="31" background="../Images/ll.jpg">&nbsp;</td>
    <td width="300" background="../Images/bm.jpg"><table width="200" height="20" border="0" cellpadding="0" cellspacing="0" id="tblStt">
      <tr>
        <td>&nbsp;</td>
      </tr>
    </table></td>
    <td width="31" height="31" background="../Images/lr.jpg">&nbsp;</td>
  </tr>
</table>
<p>&nbsp;</p>
</body>
<iframe name="cmdPut" id="dbPut" src="..\shared\dbputcmd.asp" style="width:1px; height:1px; z-index:101;visibility: hidden;" frameborder="1" vspace="0" hspace="0" scrolling="yes" marginwidth="0" marginheight="0">
</iframe>

</html>
